ModulesUpdate a Module Item within an individual Module

Update a Module Item within an individual Module

curl -X PUT "https://www.my-site.com/api/site/v2/modules/1/items/1" \
  -H "Content-Type: application/json" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-site-id: YOUR_API_KEY" \
  -d '{
  "name": "John Doe",
  "slug": "example_string",
  "enabled": "example_string",
  "module_field_3_1": "example_string",
  "module_field_custom_3_2": "example_string"
}'
{}
PUT
/modules/{module}/items/{id}
PUT
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: x-api-key)
x-api-keystring
Required

Your Siteglide API key

Your Siteglide API key
API Key (header: x-site-id)
x-site-idstring
Required

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)
path
idstring
Required

The Module Item ID

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
x-api-keystring
Required

API Key for authentication. Your Siteglide API key

header
x-site-idstring
Required

API Key for authentication. The ID of the Siteglide site you are working with (not an API key — just the numeric site ID)

Path Parameters

modulestring
Required

The Module ID

Example:
1
idstring
Required

The Module Item ID

Example:
1

Responses

OK